<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FF4808=99</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@FF4808=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FF4191=90</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@FF4191=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Max Power PL1">
    <script state="run">
      <action>maincpu.pb@FF4198=03</action>
      <action>maincpu.pb@FF4195=90</action>
    </script>
  </cheat>

  <cheat desc="Always have Min Power PL1">
    <script state="run">
      <action>maincpu.pb@FF4198=00</action>
      <action>maincpu.pb@FF4195=00</action>
    </script>
  </cheat>

  <cheat desc="Get Max Power Now! PL1">
    <script state="on">
      <action>maincpu.pb@FF4198=03</action>
      <action>maincpu.pb@FF4195=90</action>
    </script>
  </cheat>

  <cheat desc="Get Min Power Now! PL1">
    <script state="on">
      <action>maincpu.pb@FF4198=00</action>
      <action>maincpu.pb@FF4195=00</action>
    </script>
  </cheat>

  <cheat desc="No Ground Attacks PL1">
    <script state="run">
      <action>maincpu.pb@FF406A=80</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1"> <comment>Free player selection - Use on level VS screen</comment>
    <parameter>
      <item value="0x00">Spiderman</item>
      <item value="0x02">Capt. America</item>
      <item value="0x04">Hulk</item>
      <item value="0x06">Iron Man</item>
      <item value="0x08">Wolverine</item>
      <item value="0x0A">Psylocke</item>
      <item value="0x0C">Blackheart</item>
      <item value="0x0E">Shama Gorath</item>
      <item value="0x10">Juggernaut</item>
      <item value="0x12">Magneto</item>
      <item value="0x14">Doc Doom</item>
      <item value="0x16">Thanos</item>
      <item value="0x18">Anita</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF4051=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FF4591=90</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@FF4591=00</action>
    </script>
  </cheat>

  <cheat desc="Always have Max Power PL2">
    <script state="run">
      <action>maincpu.pb@FF4598=03</action>
      <action>maincpu.pb@FF4595=90</action>
    </script>
  </cheat>

  <cheat desc="Always have Min Power PL2">
    <script state="run">
      <action>maincpu.pb@FF4598=00</action>
      <action>maincpu.pb@FF4595=00</action>
    </script>
  </cheat>

  <cheat desc="Get Max Power Now! PL2">
    <script state="on">
      <action>maincpu.pb@FF4598=03</action>
      <action>maincpu.pb@FF4595=90</action>
    </script>
  </cheat>

  <cheat desc="Get Min Power Now! PL2">
    <script state="on">
      <action>maincpu.pb@FF4598=00</action>
      <action>maincpu.pb@FF4595=00</action>
    </script>
  </cheat>

  <cheat desc="No Ground Attacks PL2">
    <script state="run">
      <action>maincpu.pb@FF446A=80</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2"> <comment>Free player selection - Use on level VS screen</comment>
    <parameter>
      <item value="0x00">Spiderman</item>
      <item value="0x02">Capt. America</item>
      <item value="0x04">Hulk</item>
      <item value="0x06">Iron Man</item>
      <item value="0x08">Wolverine</item>
      <item value="0x0A">Psylocke</item>
      <item value="0x0C">Blackheart</item>
      <item value="0x0E">Shama Gorath</item>
      <item value="0x10">Juggernaut</item>
      <item value="0x12">Magneto</item>
      <item value="0x14">Doc Doom</item>
      <item value="0x16">Thanos</item>
      <item value="0x18">Anita</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF4451=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="No Background Music">
    <script state="run">
      <action>audiocpu.pw@F018=0000</action>
    </script>
  </cheat>

  <cheat desc="Hide Background">
    <script state="on">
      <action>
        temp0=maincpu.pw@FF4BEA, temp1=maincpu.pw@FF4BEC, temp2=maincpu.pw@FF4BEE,
        temp3=maincpu.pw@FFF868, temp4=maincpu.pw@FFF86A
      </action>
    </script>
    <script state="run">
      <action condition="(maincpu.pb@FF4800 == 08)"> <!--activate only during match-->
        maincpu.pw@FF4BEA=0, maincpu.pw@FF4BEC=0, maincpu.pw@FF4BEE=0, <!--BG layers-->
        maincpu.pw@FFF868=0, maincpu.pw@FFF86A=0, <!--HUD-->
        maincpu.pd@FFDF9A=0 <!--BG sprites-->
      </action>
    </script>
    <script state="off">
      <action>
        maincpu.pw@FF4BEA=temp0, maincpu.pw@FF4BEC=temp1, maincpu.pw@FF4BEE=temp2,
        maincpu.pw@FFF868=temp3, maincpu.pw@FFF86A=temp4
      </action>
    </script>
  </cheat>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x00">Japan</item>
      <item value="0x02">USA</item>
      <item value="0x04">Hispanic</item>
      <item value="0x06">Asia</item>
      <item value="0x08">Euro</item>
      <item value="0x0A">Brazil</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF4C23=param</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="1023" step="1"/>
    <script state="change">
      <action>audiocpu.pw@F007=0000</action>
      <action>audiocpu.pq@F100=00009900000000FF</action>
      <action>audiocpu.pq@F108=0099990000000000</action>
      <action>audiocpu.pq@F110=1000990000000000</action>
      <action>audiocpu.pq@F118=0099990000000000</action>
      <action condition="(param LT 100)">audiocpu.pb@F111=param</action>
      <action>temp0=param/100</action>
      <action condition="(param GE 100)">audiocpu.pb@F110=temp0</action>
      <action condition="(param GE 100)">audiocpu.pb@F111=param-(temp0*100)</action>
      <action>audiocpu.pb@F007=20</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
